Download it now!
Bug 98583 - FILEOPEN draw:transform="skewX()" is wrongly handled
Summary: FILEOPEN draw:transform="skewX()" is wrongly handled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-10 16:14 UTC by Regina Henschel
Modified: 2020-01-21 00:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
shearX on rectangle and on curve (12.74 KB, application/vnd.oasis.opendocument.presentation)
2016-03-10 16:14 UTC, Regina Henschel
Details
image of how it should be imported (19.46 KB, image/png)
2016-03-10 16:15 UTC, Regina Henschel
Details
document with draw:transform="skewX()" on rectangle and on curve (12.71 KB, application/vnd.oasis.opendocument.presentation)
2016-03-10 18:00 UTC, Regina Henschel
Details
screenshot in build of aw080 (19.83 KB, image/png)
2016-03-10 18:02 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-03-10 16:14:27 UTC
Created attachment 123467 [details]
shearX on rectangle and on curve

Open attached file and compare it with the attached picture.
The file contains a dark blue rectangle and a yellow curve which have got the attribute draw:transform="skewX (-0.959931088596881)". The light blue rectangle and the black curve have the same definition but without draw:transform. The red border shows, where the draw objects should be.
-0.959931088596881 radians = -55 degrees

The screenshot with the correct import is taken from a build of Armin's cws aw080.
Comment 1 Regina Henschel 2016-03-10 16:15:24 UTC
Created attachment 123468 [details]
image of how it should be imported
Comment 2 Regina Henschel 2016-03-10 18:00:41 UTC
Created attachment 123475 [details]
document with draw:transform="skewX()" on rectangle and on curve
Comment 3 Regina Henschel 2016-03-10 18:02:01 UTC
Created attachment 123476 [details]
screenshot in build of aw080

I am not sure about the orientation of the angle. That needs discussion with the ODF TC.
Comment 4 Buovjaga 2016-03-10 19:20:45 UTC
Confirmed.

64-bit, KDE Plasma 5
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 5 QA Administrators 2017-05-22 13:20:23 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2017-05-22 17:46:33 UTC
The error still exists in Version: 5.4.0.0.alpha1+
Build ID: 965494c544dd8f35ae83b7cf38549009da06c367
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-10_23:06:27
Locale: de-DE (de_DE); Calc: group
Comment 7 QA Administrators 2018-05-23 02:37:34 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2018-05-23 20:50:01 UTC
The error still exists in Version: 6.1.0.0.alpha1+ (x64)
Build ID: 88051c660fc6759346a01bc559818d3e23f8f55c
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL
Comment 9 QA Administrators 2019-05-24 02:57:01 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2019-05-24 11:12:12 UTC
The error still exists in Version: 6.3.0.0.alpha1+ (x64)
Build ID: 115ab48f86d4e3c6eede49767df1ee5a82b4ab22
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-20_17:50:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 11 Regina Henschel 2020-01-03 23:54:34 UTC
Not duplicate, but will be fixed together with bug 98584.